:root {
    --orange: #ffffff;
    --darkorange: #e4dfdbf8;
    --platinum: #e5e5e5;
    --black: #2b2d42;
    --white: #fff;
    --thumb: #edf2f4;
  }
  
  * {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
  }
  
  body {
    font: 16px / 24px "Rubik", sans-serif;
    color: var(--black);
    background: var(--platinum);
    margin: 50px 0; 
  }
  
  .container {
    margin-top: 50px;
    max-width: 1400px;
    padding: 0 15px;
    margin: 0 auto;
  }
  
  h1 {
    color: white;
    text-align: center;
  }
  
  .cards {
    display: grid;
    grid-auto-columns: 100%;
    grid-column-gap: 10px;
    grid-auto-flow: column;
    padding: 25px 0px;
    list-style: none;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    
  }
  
  .card {
    display: flex;
    flex-direction: column;
    padding: 5px;
    background: var(--white);
    border-radius: 12px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 15%);
    scroll-snap-align: start;
    transition: all 0.4s;
    background-color: #17617e69;
    height: 200px;
    text-align: center;
    margin: auto;
  }
  div p{
    margin-top: -120px;
  }
  
  .card:hover {
    color: var(--white);
    background: rgba(20, 84, 118, 0.938);
  }
  
  .card .card-title {
    font-size: 20px;
    height: 50px;
    overflow: hidden;
  }
  
  .card .card-content {
    margin: 10px 0;
    max-width: 85%;
    height: 80px;
    overflow: hidden;
  }
  
  .card .card-link-wrapper {
    margin-top: auto;
    display: flex;
    justify-content: center;
  }
  
  .card .card-link {
    display: inline-block;
    text-decoration: none;
    color: white;
    background: var(--orange);
    padding: 6px 12px;
    border-radius: 8px;
    transition: background 0.2s;
  }
  
  .card:hover .card-link {
    background: var(--darkorange);
  }
  
  .cards::-webkit-scrollbar {
    height: 12px;
  }
  
  .cards::-webkit-scrollbar-thumb,
  .cards::-webkit-scrollbar-track {
    border-radius: 92px;
  }
  
  .cards::-webkit-scrollbar-thumb {
    background: var(--darkorange);
  }
  
  .cards::-webkit-scrollbar-track {
    background: var(--thumb);
  }
  
  @media (min-width: 500px) {
    .cards {
      grid-auto-columns: calc(50% - 10px);
      grid-column-gap: 20px;
    }
  }
  
  @media (min-width: 700px) {
    .cards {
      grid-auto-columns: calc(calc(100% / 3) - 20px);
      grid-column-gap: 30px;
    }
  }
  
  @media (min-width: 1100px) {
    .cards {
      grid-auto-columns: calc(25% - 30px);
      grid-column-gap: 40px;
    }
  }
  